List knowledge bases
GET /knowledge-bases
Create a knowledge base
POST /knowledge-bases — name defaults to "Untitled" if omitted.
Add a source
POST /knowledge-bases/{kbId}/sources
Delete a knowledge base
DELETE /knowledge-bases/{kbId}Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create knowledge bases and add source content.
curl https://app.vistrowvoice.com/api/knowledge-bases \
-H "X-Api-Key: YOUR_API_KEY"
GET /knowledge-bases
curl -X POST https://app.vistrowvoice.com/api/knowledge-bases \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Pricing FAQ"}'
POST /knowledge-bases — name defaults to "Untitled" if omitted.
curl -X POST https://app.vistrowvoice.com/api/knowledge-bases/KB_ID/sources \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Pricing sheet",
"content": "Starter plan: ...",
"type": "text"
}'
POST /knowledge-bases/{kbId}/sources
| Field | Type | Default |
|---|---|---|
name | string | "Untitled" |
content | string | "" |
type | string | "text" |
curl -X DELETE https://app.vistrowvoice.com/api/knowledge-bases/KB_ID \
-H "X-Api-Key: YOUR_API_KEY"
DELETE /knowledge-bases/{kbId}